🏢 PlaceMaker | 25% off for February including new Google Earth data imports! Learn more
  • [poss. BUG] Best-Fastest way to loop through all objects

    6
    0 Votes
    6 Posts
    447 Views
    P
    ah thx, will give that a try see if it goes faster
  • $ versus @

    20
    0 Votes
    20 Posts
    3k Views
    M
    Hello Fredo6 ! Thank you for your answer ! It works great ! get_toolid & set_toolid are perfect ! Just one thing, @@variable doesn't work. Just @variable... Thank you Fredo !
  • Idea for an Orbit tool focused on single object

    11
    0 Votes
    11 Posts
    3k Views
    M
    Well, may be this (reused code) is more closer to what you will be talking about: Here is an initial version of +1 product from OrbitOnTarget Line of Products (hehe ) Later I will write a better "manual", but in the mean time ... Select Component(s). Select the Tool (Component OrbitOnTarget) Select a Reference point (with double-click and no feedback for now) - this is used to Move the selected Compo(s) in a radial direction, closer of more distance relative the Target. Select the Target point (with double-click and no feedback for now) - this is used to Rotate the selected Compo(s) relative the Target. LButton-down + drag to move the selected Compo(s). LButton-down + Shift + drag (up/down) to move the selected Compo(s) more closer or distant the Target (up= +closer, down= +distant). Both OOT: Camera and Component OrbitOnTarget. Give a try and let's see how to improve them. OOT.zip The ComponentOOT can be much more improved toward the concept of Connectors. For now this is a initial concept for the Point-to-Point connector (Reference-to-Target). It's also necessary a roll-back mechanism to undo, etc, etc but looks promissing. Regard, Marcio
  • Activating the scale tool

    3
    0 Votes
    3 Posts
    273 Views
    E
    thank you so much! I am still not quite comfortable in ruby, though I have done some simple scripts before. I will try to make this work, and if it doesn't I may ask again. But for now this is great.
  • [piracy] subdivide&smooth

    14
    0 Votes
    14 Posts
    2k Views
    GaieusG
    C'mon, Marian!
  • Snap to nearest unit?

    2
    0 Votes
    2 Posts
    238 Views
    P
    I think what you're looking for is more like a grid snap, like in AutoCAD. SU only has (that I know of) a length snap, so you can start geometry anywhere, but the length is controled at intervals, which doesn't work very well when you want all of your objects to have the same relative snapped distances between each other. I would very much like to see this too.
  • REQ : Equally spacing

    5
    0 Votes
    5 Posts
    385 Views
    S
    hi this is a screen grab how vectorworks handles align, and distributing, for anyone wanting to build something like this for su [image: align_spacetool.jpg]
  • [Bug?] Pan "on border": Is this a known bug ?

    4
    0 Votes
    4 Posts
    222 Views
    R
    I think it was intended to avoid having to switch to Pan mode while drawing things.
  • Face-specific Shadow Info

    2
    0 Votes
    2 Posts
    325 Views
    T
    I see a lot of you are looking, but no one is answering. Can you please at least tell me if you think it can be done/seen examples/ something but don't know how or you simply don't think it's possible from within sketchup? Thanks, Tali
  • [IDEA] Particle cloud

    6
    0 Votes
    6 Posts
    472 Views
    thomthomT
    @earthmover said: Ilay7k, What ruby are your using for quad modeling viewports? No ruby. It's another application. Rhino. http://www.rhino3d.com/ NURBS modelling.
  • Component inst to component Def in a Selection

    5
    0 Votes
    5 Posts
    399 Views
    P
    Looks interesting. I think i can use this in a loop we have analyzes all objects and can contain several instances. Thx
  • Exporting to STL for 3D printing direct from SketchUp..???

    4
    0 Votes
    4 Posts
    433 Views
    M
    Thanks for the info, sounds promising.. All the best Matt
  • Wanted: Rotate Texture 90d Icon

    3
    0 Votes
    3 Posts
    348 Views
    G
    @genma saotome said: I not a programmer... I find myself rotating a selected texture 90 degrees all the time and the default GUI menu is pretty inefficient: select the texture and then menu Texture/Position/Rotate/90/Done. Does anyone know where I might find those functions programmed as icon? You know, select the texture, click the icon, and it's done. 7 mouse clicks reduced to 1. Ummm, and if it's not already written and is dirt simple to write, might someone write the code? I think it's one of those little things many people would like. pretty much looking forward to this ... 7 clicks to 1 ...
  • Video textures

    5
    0 Votes
    5 Posts
    352 Views
    tbdT
    what about Bridge ?
  • Select at Start-Rick

    4
    0 Votes
    4 Posts
    456 Views
    R
    @bellwells said: Thanks, Rick. Both startup.rb and smustard-app-observer.rb are in my SU6 Plugins folder. I'll reinstall again. Obviously, I never had it with SU5. Sorry you had to research my silly non-problem; I'm slightly embarrassed. No problem, really - I just wanted to make sure I hadn't written something I forgot about (it has happened!)
  • Global transformation of a selected nested face

    10
    0 Votes
    10 Posts
    1k Views
    C
    It depends on what you mean by "where the user is". If your user has just clicked on something you can find out the top level instance and then figure out the transform of the object in that instance. If your user has "opened" the object its a little trickier but you can find the top instance through an observer.
  • Rotating into XY plane

    6
    0 Votes
    6 Posts
    1k Views
    fredo6F
    Then, you can use a reverse Axis transformation. [image: VgWn_Transformxyplane2.jpg] The following code would for instance transform any given face to be in the XY plane, with its barycentre at the Origin. axes = face.normal.axes origin = face.bounds.center t = Geom;;Transformation.axes(origin, axes[0], axes[1], axes[2]).inverse Sktechup.active_model.entities.transform_entities t, face The drawback of the above method is that the orientation of the transformed face in the XY plane is not predetermined. So, if you wish to have a privileged direction, for instance an edge of the face to define the X axis, then use the following code instead, which will ensure that the selected <edge> defines the X axis, and that the Origin corresponds to the Start vertex of the edge. origin = edge.start.position xvec = origin.vector_to edge.end.position zvec = face.normal yvec = zvec * xvec t = Geom;;Transformation.axes(origin, xvec, yvec, zvec).inverse [image: 23wv_Transformxyplane.jpg] Note that you can use the transformation <t> to calculate the coordinates of points to reconstruct a copy of the face, instead of transform it. entities = Sketchup.active_model.entities face.loops.each do |loop| f = entities.add_face loop.vertices.collect { |v| t * v.position } entities.erase_entities f unless loop.outer? # for holes end Hope this help! Fredo
  • Ruby scripting interface

    9
    0 Votes
    9 Posts
    695 Views
    TIGT
    NotePad++ [ http://notepad-plus.sourceforge.net/uk/site.htm ]
  • How do I create a rb file

    3
    0 Votes
    3 Posts
    319 Views
    A
    What does it mean: "It don't work." Maybe you're using Windows and have enabled hiding file extensions. You should disable this in Windows. azuby
  • [Plugin] Hide all Edges

    3
    0 Votes
    3 Posts
    1k Views
    A
    Maybe my HideEdges Ruby script could also be a good choice. It can work on all or only on selected entities (but unfortunately not on component instances). A toolbar button isn't included, but a right-click menu item. (see my signature) azuby

Advertisement